Page MenuHomePhabricator

Remove flavor text for action buttons
ClosedPublic

Authored by epriestley on Apr 18 2014, 10:58 PM.

Details

Reviewers
btrahan
chad
Commits
Restricted Diffusion Commit
rPf1245f4f3421: Remove flavor text for action buttons
Summary

A small but appreciable number of users find flavor on buttons confusing. Remove this flavor. This retains flavor in headers, error messages, etc., which doesn't cause confusion.

Test Plan

Looked at a revision, task, paste, macro, etc.

Diff Detail

Repository
rP Phabricator
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

epriestley retitled this revision from to Remove flavor text for action buttons.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added reviewers: chad, btrahan.
chad edited edge metadata.Apr 18 2014, 11:12 PM

I only personally felt that 'Scuttle' was confusing. Has there been more concerns from the community lately?

epriestley added a comment.EditedApr 18 2014, 11:25 PM

"Clowncopterize" gets objected to with reasonable frequency.

I like this flavor, and "Clowncopterize" has a long history, but on the balance I think these flavorful labels are probably a net negative for the product. A small number of users find them actively confusing, and a small number of users don't find them confusing but are turned off by them or find them annoying or unprofessional or whatever else. While I think the majority of users don't have trouble with them, they aren't really all that funny or interesting.

In comparison, I haven't seen any confusion over the flavorful headers, and the flavorful error texts and features like "close out of spite" get reasonably consistent positive feedback.

btrahan accepted this revision.Apr 19 2014, 12:24 AM
btrahan edited edge metadata.

awesometown

This revision is now accepted and ready to land.Apr 19 2014, 12:24 AM
chad added a comment.Apr 19 2014, 12:30 AM

can we leave clowncopterize?

I think "Clowncopterize" is the worst of these (and generates the most complaints) -- at least "Scuttle Task" sort of means "Close Task".

Once i18n is a little further along we could maybe bring this back as a translation or something?

epriestley closed this revision.Apr 19 2014, 12:51 AM
epriestley updated this revision to Diff 20916.

Closed by commit rPf1245f4f3421 (authored by @epriestley).

long live Clowncopterize.

So disappointed by this :(
Though I didn't notice for almost a month, so maybe not THAT concerned.

sadpanda

cpiro awarded a token.Jul 30 2014, 7:49 PM
cpiro added a subscriber: cpiro.Jul 30 2014, 7:51 PM
chad added a comment.Jul 30 2014, 8:07 PM

Well now we know how far behind HEAD Facebook is.

miorel added a subscriber: miorel.Nov 6 2015, 6:28 PM